Facter.add('pythonsitedir') do
    setcode do
        if File.exists?('/usr/local/bin/python')
            pythonbin='/usr/local/bin/python'
        else
            pythonbin='python'
        end
        %x{#{pythonbin} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"}.chomp
    end
end

Facter.add('pythonversion') do
    setcode do
        if File.exists?('/usr/local/bin/python')
            pythonbin='/usr/local/bin/python'
        else
            pythonbin='python'
        end
        %x{#{pythonbin} -c "import platform; print platform.python_version()"}.chomp
    end
end
